﻿using Plane.Copters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plane.FormationCreator.Formation
{
    public partial class FlightTaskSingleCopterInfo
    {
        public static FlightTaskSingleCopterInfo CreateForFlyToTask(ICopter copter, double targetLat, double targetLng, float targetAlt,bool showLED)
        {
            var info = new FlightTaskSingleCopterInfo(copter)
            {
                TargetLat = targetLat,
                TargetLng = targetLng,
                TargetAlt = targetAlt,
                FlytoShowLED= showLED,
               // FlytoTime= flytoTime,
               // LoiterTime = loiterTime
            };
            return info;
        }

        public static FlightTaskSingleCopterInfo CreateForFlyToTask(ICopter copter, LatLng latLngOffset, float targetAlt, bool showLED)
        {
            var info = new FlightTaskSingleCopterInfo(copter)
            {
                LatLngOffset = latLngOffset,
                TargetAlt = targetAlt,
                FlytoShowLED = showLED
            };
            return info;
        }
        private bool _FlytoShowLED = true;
        public bool FlytoShowLED
        {
            get { return _FlytoShowLED; }
            set { Set(nameof(FlytoShowLED), ref _FlytoShowLED, value); }
        }

        private int _FlytoTime = 10;
        public int FlytoTime
        {
            get { return _FlytoTime; }
            set { Set(nameof(FlytoTime), ref _FlytoTime, value); }
        }
        private int _LoiterTime = 0;
        public int LoiterTime
        {
            get { return _LoiterTime; }
            set { Set(nameof(LoiterTime), ref _LoiterTime, value); }
        }


    }
}
